> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/localstorage.md).

# Disable localStorage usage

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

{% hint style="info" %}
localStorage is not used for rendering or storing PDFs.
{% endhint %}

WebViewer does use localStorage for saving preferences like used styles for annotation tools. You can turn it off or on.

In the UI we save recently used styles for annotation tools in localStorage by default. You can disable this by [disabling](https://sdk.apryse.com/api/web/UI.html#.disableFeatures) the [localStorage feature](https://sdk.apryse.com/api/web/UI.html#.Feature).

When loading a WebViewer Server document we also set an isCached localStorage flag but this is just a boolean value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/get-started/faq/localstorage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
